Android 安全公告 - 2019 年 2 月

发布时间:2019 年 2 月 4 日

Android 安全公告详细介绍了会影响 Android 设备的安全漏洞。安全补丁程序级别为 2019-02-05 或更新的 Android 系统都已解决本公告中所述的所有问题。要了解如何查看设备的安全补丁程序级别,请参阅查看并更新 Android 版本

Android 合作伙伴在本公告发布前至少一个月就已收到关于所有问题的通知。我们已将针对这些问题的源代码补丁程序发布到 Android 开源项目 (AOSP) 代码库中,并在本公告中提供了相应链接。本公告中还提供了指向 AOSP 之外的补丁程序的链接。

这些问题中危险性最高的是框架中的一个严重程度为“严重”的安全漏洞,该漏洞可让远程攻击者利用蓄意创建的 PNG 文件在特权进程环境中执行任意代码。严重程度评估的依据是漏洞被利用后可能会对受影响的设备造成的影响(假设相关平台和服务缓解措施被成功规避或出于开发目的而被停用)。

尚未有人向我们举报过有用户主动利用或滥用这些新报告的问题。请参阅 Android 和 Google Play 保护机制提供的缓解措施部分,详细了解有助于提高 Android 平台安全性的 Android 安全平台防护功能和 Google Play 保护机制。

注意:如需了解适用于 Google 设备的最新无线下载更新 (OTA) 和固件映像,请参阅 2019 年 2 月的 Pixel 更新公告

Android 和 Google 服务缓解措施

这一部分总结了 Android 安全平台和服务防护功能(如 Google Play 保护机制)提供的缓解措施。这些功能有助于降低 Android 上的安全漏洞被成功利用的可能性。

  • 较高版本的 Android 平台中提供的增强功能让攻击者更加难以利用 Android 上存在的许多问题。我们建议所有用户都尽可能更新到最新版 Android。
  • Android 安全团队会积极利用 Google Play 保护机制监控滥用行为,并会在发现潜在有害应用时向用户发出警告。在安装有 Google 移动服务的设备上,Google Play 保护机制会默认处于启用状态,对于从 Google Play 以外的来源安装应用的用户来说,该功能尤为重要。

2019-02-01 安全补丁程序级别漏洞详情

我们在下面提供了 2019-02-01 补丁程序级别涵盖的每个安全漏洞的详细信息。漏洞列在所影响的组件下,内容包括问题描述和一个表,该表中包含 CVE、相关参考编号、漏洞类型严重程度和已更新的 AOSP 版本(若有)。如果有解决相应问题的公开更改记录(例如 AOSP 代码更改列表),我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的代码更改记录,我们还会通过 Bug ID 后面的数字链接到更多参考编号。

框架

这一部分中最严重的漏洞可让远程攻击者利用蓄意创建的 PNG 文件在特权进程环境中执行任意代码。

CVE 参考编号 类型 严重程度 已更新的 AOSP 版本
CVE-2019-1986 A-117838472 [2] RCE 严重 9
CVE-2019-1987 A-118143775 [2] RCE 严重 7.0、7.1.1、7.1.2、8.0、8.1、9
CVE-2019-1988 A-118372692 RCE 严重 8.0、8.1、9

这一部分中最严重的漏洞可让远程攻击者利用蓄意创建的文件通过非特权进程执行任意代码。

CVE 参考编号 类型 严重程度 已更新的 AOSP 版本
CVE-2017-17760 A-78029030* RCE 7.0、7.1.1、7.1.2、8.0、8.1、9
CVE-2018-5268 A-78029634* RCE 7.0、7.1.1、7.1.2、8.0、8.1、9
CVE-2018-5269 A-78029727* RCE 7.0、7.1.1、7.1.2、8.0、8.1、9
CVE-2017-18009 A-78026242* ID 7.0、7.1.1、7.1.2、8.0、8.1、9

系统

这一部分中最严重的漏洞可让远程攻击者利用蓄意创建的传输在特权进程环境中执行任意代码。

CVE 参考编号 类型 严重程度 已更新的 AOSP 版本
CVE-2019-1991 A-110166268 RCE 严重 7.0、7.1.1、7.1.2、8.0、8.1、9
CVE-2019-1992 A-116222069 RCE 严重 7.0、7.1.1、7.1.2、8.0、8.1、9
CVE-2019-1993 A-119819889 EoP 8.0、8.1、9
CVE-2019-1994 A-117770924 EoP 8.0、8.1、9
CVE-2019-1995 A-32589229 [2] ID 7.0、7.1.1、7.1.2、8.0、8.1、9
CVE-2019-1996 A-111451066 ID 8.0、8.1、9
CVE-2019-1997 A-117508900 ID 7.0、7.1.1、7.1.2、8.0、8.1、9
CVE-2019-1998 A-116055338 [2] DoS 9

2019-02-05 安全补丁程序级别漏洞详情

我们在下面提供了 2019-02-05 补丁程序级别涵盖的每个安全漏洞的详细信息。漏洞列在所影响的组件下,内容包括 CVE、相关参考编号、漏洞类型严重程度、组件(若有)和已更新的 AOSP 版本(若有)等详细信息。如果有解决相应问题的公开更改记录(例如 AOSP 代码更改列表),我们会将 Bug ID 链接到该记录。如果某个 Bug 有多条相关的代码更改记录,我们还会通过 Bug ID 后面的数字链接到更多参考编号。

内核组件

这一部分中最严重的漏洞可让本地恶意应用通过特权进程执行任意代码。

CVE 参考编号 类型 严重程度 组件
CVE-2018-10879 A-116406063
上游内核
EoP ext4 文件系统
CVE-2019-1999 A-120025196* EoP Binder 驱动程序
CVE-2019-2000 A-120025789* EoP Binder 驱动程序
CVE-2019-2001 A-117422211* ID iomem

NVIDIA 组件

这一部分中最严重的漏洞可让远程攻击者利用蓄意创建的文件通过特权进程执行任意代码。

CVE 参考编号 类型 严重程度 组件
CVE-2018-6271 A-80198474* RCE 严重 libnvomx
CVE-2018-6267 A-70857947* EoP libnvomx
CVE-2018-6268 A-80433161* EoP libnvomx
CVE-2016-6684 A-117423758* ID 内核日志

Qualcomm 组件

以下漏洞会影响 Qualcomm 组件,相应的 Qualcomm 安全公告或安全提醒中对这些漏洞进行了详细说明。这些漏洞的严重程度评估是由 Qualcomm 直接提供的。

CVE 参考编号 类型 严重程度 组件
CVE-2018-11262 A-76424945
QC-CR#2221192
严重 引导加载程序
CVE-2018-11280 A-109741776
QC-CR#2185061
调制解调器
CVE-2018-11275 A-74409078
QC-CR#2221256 [2]
引导加载程序
CVE-2018-13900 A-119052051
QC-CR#2287499
调制解调器
CVE-2018-13905 A-119052050
QC-CR#2225202
图形

Qualcomm 闭源组件

以下漏洞会影响 Qualcomm 组件,相应的 Qualcomm 安全公告或安全提醒中对这些漏洞进行了详细说明。这些漏洞的严重程度评估是由 Qualcomm 直接提供的。

CVE 参考编号 类型 严重程度 组件
CVE-2018-11289 A-109678453* 严重 闭源组件
CVE-2018-11820 A-111089815* 严重 闭源组件
CVE-2018-11938 A-112279482* 严重 闭源组件
CVE-2018-11945 A-112278875* 严重 闭源组件
CVE-2018-11268 A-109678259* 闭源组件
CVE-2018-11845 A-111088838* 闭源组件
CVE-2018-11864 A-111092944* 闭源组件
CVE-2018-11921 A-112278972* 闭源组件
CVE-2018-11931 A-112279521* 闭源组件
CVE-2018-11932 A-112279426* 闭源组件
CVE-2018-11935 A-112279483* 闭源组件
CVE-2018-11948 A-112279144* 闭源组件
CVE-2018-5839 A-112279544* 闭源组件
CVE-2018-13904 A-119050566* 闭源组件

常见问题和解答

这一部分解答了用户在阅读本公告后可能会提出的常见问题。

1. 如何确定我的设备是否已通过更新解决这些问题?

要了解如何查看设备的安全补丁程序级别,请参阅查看并更新 Android 版本

  • 如果安全补丁程序级别是 2019-02-01 或更新,则意味着已解决 2019-02-01 安全补丁程序级别涵盖的所有问题。
  • 如果安全补丁程序级别是 2019-02-05 或更新,则意味着已解决 2019-02-05 以及之前的所有安全补丁程序级别涵盖的所有问题。

预装这些更新的设备制造商应将补丁程序字符串级别设为

  • [ro.build.version.security_patch]:[2019-02-01]
  • [ro.build.version.security_patch]:[2019-02-05]

2. 为何本公告有 2 个安全补丁程序级别?

本公告之所以有 2 个安全补丁程序级别,是为了让 Android 合作伙伴能够灵活地、更快速地修复在各种 Android 设备上类似的一系列漏洞。我们建议 Android 合作伙伴修复本公告中的所有问题并使用最新的安全补丁程序级别。

  • 如果设备使用的是 2019-02-01 这一安全补丁程序级别,则必须包含该安全补丁程序级别涵盖的所有问题以及之前的安全公告中报告的所有问题的修复程序。
  • 如果设备使用的是 2019-02-05 或更新的安全补丁程序级别,则必须包含本安全公告(以及之前的安全公告)中的所有适用补丁程序。

我们建议合作伙伴将要解决的全部问题的修复方案打包到一个更新中。

3.“类型”列中的条目表示什么意思?

在漏洞详情表内,“类型”列中的条目是安全漏洞的分类。

缩写词 定义
RCE 远程代码执行
EoP 提权
ID 信息披露
DoS 拒绝服务
N/A 没有分类

4.“参考编号”列中的条目表示什么意思?

在漏洞详情表内,“参考编号”列中的条目可能包含用于标识参考编号值所属组织的前缀。

前缀 参考编号
A- Android Bug ID
QC- Qualcomm 参考编号
M- MediaTek 参考编号
N- NVIDIA 参考编号
B- Broadcom 参考编号

5. 在“参考编号”列中,Android Bug ID 旁边的 * 表示什么意思?

如果问题尚未公开发布,则在“参考编号”列中,相应 Android Bug ID 旁边会显示 *。Google Developers 网站上针对 Pixel 设备提供的最新二进制驱动程序中通常包含用于解决相应问题的更新。

6. 为什么要将安全漏洞拆分到本公告和设备 / 合作伙伴安全公告(如 Pixel 公告)中?

要在 Android 设备上声明最新的安全补丁程序级别,必须修复本安全公告中记录的安全漏洞。但在声明安全补丁程序级别时,并不是必须要修复设备/合作伙伴安全公告中记录的其他安全漏洞。我们建议 Android 设备和芯片组制造商通过自己的安全网站(例如 SamsungLGEPixel 安全公告)记录其设备上存在的其他修复程序。

版本

版本 日期 备注
1.0 2019 年 2 月 4 日 发布了本公告